//
//  MLYApp.m
//  minilytic iOS SDK
//
//  Copyright (c) 2013 Manbolo. All rights reserved.
//
#import "MLYApp.h"

#if !__has_feature(objc_arc)
#pragma message("minilytic iOS SDK use ARC. If your project is not ARC (it's time to change), just use -fobjc-arc compile flags on MLY*.m files.")
#endif
    
@implementation MLYApp
    
    
+ (MLYApp *)defaultApp {
    static dispatch_once_t onceToken;
    static MLYApp *app = nil;
    dispatch_once(&onceToken, ^{
        app = [[MLYApp alloc] init];
    });
    return app;
}

    
- (NSString *)version
{
    NSString *appVersion = [[NSBundle mainBundle] infoDictionary][@"CFBundleShortVersionString"];
    if (!appVersion){
        appVersion = [[NSBundle mainBundle] infoDictionary][@"CFBundleVersion"];
    }
    return appVersion;
}
    
@end
