//
//  MLYHTTPRequest.h
//  minilytic iOS SDK
//
//  Copyright (c) 2013 Manbolo. All rights reserved.
//

#import <Foundation/Foundation.h>


typedef NS_ENUM(NSInteger, MLYHTTPRequestState) {
    MLYHTTPRequestStateReady = 1,
    MLYHTTPRequestStateExecuting = 2,
    MLYHTTPRequestStateFinished = 3
};

@interface MLYHTTPRequest : NSOperation <NSURLConnectionDataDelegate>

@property(nonatomic,strong) NSData *body;
@property(nonatomic,assign,getter=isUsingLocalhost) BOOL usingLocalhost;
@property(nonatomic,readonly) MLYHTTPRequestState state;

@end


